import request from '@/utils/request'

// 查询MemberProxy列表
export function listMemberProxy(query) {
    return request({
        url: '/api/v1/member-proxy',
        method: 'get',
        params: query
    })
}

// 查询MemberProxy详细
export function getMemberProxy (id) {
    return request({
        url: '/api/v1/member-proxy/' + id,
        method: 'get'
    })
}


// 新增MemberProxy
export function addMemberProxy(data) {
    return request({
        url: '/api/v1/member-proxy',
        method: 'post',
        data: data
    })
}

// 修改MemberProxy
export function updateMemberProxy(data) {
    return request({
        url: '/api/v1/member-proxy/'+data.id,
        method: 'put',
        data: data
    })
}

// 删除MemberProxy
export function delMemberProxy(data) {
    return request({
        url: '/api/v1/member-proxy',
        method: 'delete',
        data: data
    })
}

